com.amazonaws.services.simpleworkflow.model

## Class WorkflowExecutionOpenCounts

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowExecutionOpenCounts

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowExecutionOpenCounts
    extends Object
    implements Serializable, Cloneable

Contains the counts of open tasks, child workflow executions and timers for a workflow execution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowExecutionOpenCounts()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowExecutionOpenCounts` `clone()`
`boolean` `equals(Object obj)`
`Integer` `getOpenActivityTasks()` The count of activity tasks whose status is OPEN.
`Integer` `getOpenChildWorkflowExecutions()` The count of child workflow executions whose status is OPEN.
`Integer` `getOpenDecisionTasks()` The count of decision tasks whose status is OPEN.
`Integer` `getOpenLambdaFunctions()` The count of AWS Lambda functions that are currently executing.
`Integer` `getOpenTimers()` The count of timers started by this workflow execution that have not fired yet.
`int` `hashCode()`
`void` `setOpenActivityTasks(Integer openActivityTasks)` The count of activity tasks whose status is OPEN.
`void` `setOpenChildWorkflowExecutions(Integer openChildWorkflowExecutions)` The count of child workflow executions whose status is OPEN.
`void` `setOpenDecisionTasks(Integer openDecisionTasks)` The count of decision tasks whose status is OPEN.
`void` `setOpenLambdaFunctions(Integer openLambdaFunctions)` The count of AWS Lambda functions that are currently executing.
`void` `setOpenTimers(Integer openTimers)` The count of timers started by this workflow execution that have not fired yet.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowExecutionOpenCounts` `withOpenActivityTasks(Integer openActivityTasks)` The count of activity tasks whose status is OPEN.
`WorkflowExecutionOpenCounts` `withOpenChildWorkflowExecutions(Integer openChildWorkflowExecutions)` The count of child workflow executions whose status is OPEN.
`WorkflowExecutionOpenCounts` `withOpenDecisionTasks(Integer openDecisionTasks)` The count of decision tasks whose status is OPEN.
`WorkflowExecutionOpenCounts` `withOpenLambdaFunctions(Integer openLambdaFunctions)` The count of AWS Lambda functions that are currently executing.
`WorkflowExecutionOpenCounts` `withOpenTimers(Integer openTimers)` The count of timers started by this workflow execution that have not fired yet.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowExecutionOpenCounts

    public WorkflowExecutionOpenCounts()

### Method Detail

#### setOpenActivityTasks

    public void setOpenActivityTasks(Integer openActivityTasks)

The count of activity tasks whose status is OPEN.

Parameters:
  `openActivityTasks` - The count of activity tasks whose status is OPEN.

#### getOpenActivityTasks

    public Integer getOpenActivityTasks()

The count of activity tasks whose status is OPEN.

Returns:
  The count of activity tasks whose status is OPEN.

#### withOpenActivityTasks

    public WorkflowExecutionOpenCounts withOpenActivityTasks(Integer openActivityTasks)

The count of activity tasks whose status is OPEN.

Parameters:
  `openActivityTasks` - The count of activity tasks whose status is OPEN.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOpenDecisionTasks

    public void setOpenDecisionTasks(Integer openDecisionTasks)

The count of decision tasks whose status is OPEN. A workflow execution can have at most one open decision task.

Parameters:
  `openDecisionTasks` - The count of decision tasks whose status is OPEN. A workflow execution can have at most one open decision task.

#### getOpenDecisionTasks

    public Integer getOpenDecisionTasks()

The count of decision tasks whose status is OPEN. A workflow execution can have at most one open decision task.

Returns:
  The count of decision tasks whose status is OPEN. A workflow execution can have at most one open decision task.

#### withOpenDecisionTasks

    public WorkflowExecutionOpenCounts withOpenDecisionTasks(Integer openDecisionTasks)

The count of decision tasks whose status is OPEN. A workflow execution can have at most one open decision task.

Parameters:
  `openDecisionTasks` - The count of decision tasks whose status is OPEN. A workflow execution can have at most one open decision task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOpenTimers

    public void setOpenTimers(Integer openTimers)

The count of timers started by this workflow execution that have not fired yet.

Parameters:
  `openTimers` - The count of timers started by this workflow execution that have not fired yet.

#### getOpenTimers

    public Integer getOpenTimers()

The count of timers started by this workflow execution that have not fired yet.

Returns:
  The count of timers started by this workflow execution that have not fired yet.

#### withOpenTimers

    public WorkflowExecutionOpenCounts withOpenTimers(Integer openTimers)

The count of timers started by this workflow execution that have not fired yet.

Parameters:
  `openTimers` - The count of timers started by this workflow execution that have not fired yet.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOpenChildWorkflowExecutions

    public void setOpenChildWorkflowExecutions(Integer openChildWorkflowExecutions)

The count of child workflow executions whose status is OPEN.

Parameters:
  `openChildWorkflowExecutions` - The count of child workflow executions whose status is OPEN.

#### getOpenChildWorkflowExecutions

    public Integer getOpenChildWorkflowExecutions()

The count of child workflow executions whose status is OPEN.

Returns:
  The count of child workflow executions whose status is OPEN.

#### withOpenChildWorkflowExecutions

    public WorkflowExecutionOpenCounts withOpenChildWorkflowExecutions(Integer openChildWorkflowExecutions)

The count of child workflow executions whose status is OPEN.

Parameters:
  `openChildWorkflowExecutions` - The count of child workflow executions whose status is OPEN.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOpenLambdaFunctions

    public void setOpenLambdaFunctions(Integer openLambdaFunctions)

The count of AWS Lambda functions that are currently executing.

Parameters:
  `openLambdaFunctions` - The count of AWS Lambda functions that are currently executing.

#### getOpenLambdaFunctions

    public Integer getOpenLambdaFunctions()

The count of AWS Lambda functions that are currently executing.

Returns:
  The count of AWS Lambda functions that are currently executing.

#### withOpenLambdaFunctions

    public WorkflowExecutionOpenCounts withOpenLambdaFunctions(Integer openLambdaFunctions)

The count of AWS Lambda functions that are currently executing.

Parameters:
  `openLambdaFunctions` - The count of AWS Lambda functions that are currently executing.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowExecutionOpenCounts clone()

Overrides:
  `clone` in class `Object`